Read the atomic runtime position of a ready session
curl --request GET \
--url https://api.firedrill.run/v1/projects/{projectId}/sessions/{sessionId}/runtime \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.firedrill.run/v1/projects/{projectId}/sessions/{sessionId}/runtime"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.firedrill.run/v1/projects/{projectId}/sessions/{sessionId}/runtime', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"schemaVersion": 1,
"session": {
"schemaVersion": 1,
"organizationId": "<string>",
"projectId": "<string>",
"environmentId": "<string>",
"sessionId": "<string>",
"buildHash": "<string>",
"seed": "<string>",
"callbackReceiverBindingIds": [],
"state": "creating",
"leaseGeneration": 4503599627370495,
"createdAtMs": 0,
"updatedAtMs": 0,
"expiresAtMs": 0,
"version": 0,
"drillId": "<string>",
"scenarioId": "<string>",
"warmPool": {
"state": "preparing",
"setupHash": "<string>"
},
"parentSessionId": "<string>",
"parentHostedSnapshotId": "<string>",
"destroyedAtMs": 0
},
"position": {
"virtualTimeUs": 0,
"evidenceSequence": 0,
"stateHash": "<string>",
"evidenceHash": "<string>",
"consistency": "atomic"
},
"hostedRunId": "<string>",
"actors": [
{
"actorId": "<string>",
"actorBindingId": "<string>",
"capabilities": [
{
"packageId": "<string>",
"operationId": "<string>"
}
]
}
]
}{
"code": "<string>",
"message": "<string>",
"correlationId": "<string>",
"retryable": true,
"source": "platform",
"retryAfterMs": 123,
"operationId": "<string>",
"issues": [
{
"path": "<string>",
"code": "<string>",
"message": "<string>"
}
],
"details": {},
"evidence": {
"sessionId": "<string>",
"runId": "<string>",
"journalSeq": 4503599627370495,
"buildHash": "<string>"
}
}Read the atomic runtime position of a ready session
Read the atomic runtime position of a ready session
Authorizations
Opaque control credential
Path Parameters
Pattern:
^prj_[0-9a-z]{12,32}$Pattern:
^ses_[0-9a-z]{12,32}$Response
Session runtime position
Available options:
1 Show child attributes
Show child attributes
Show child attributes
Show child attributes
The run owning this exact world lease. Use its interaction-scoped connection; reset before standalone use after completion.
Pattern:
^hrun_[0-9a-z]{12,32}$Show child attributes
Show child attributes